<template src="./edit.htm"></template>

<script>

    import Vue from 'vue';
    import EditInfo from './components/info/EditInfoComponent.vue';

    import { breadcrumbsMixin } from '../../../mixins/breadcrumbsMixin.js';
    import HandleEntityMixin from '../../../mixins/entities/handleEntityMixin.js';
    import HandleCategoryMixin from '../../mixins/handleCategoryMixin.js';
    import GetEntityMixin from '../../../mixins/entities/getEntityMixin.js';
    import ValidationErrorsMixin from '../../../mixins/validationErrorsMixin.js';

    Vue.component('edit-info', EditInfo);

    export default {

        mounted() {

            this.getEntityMixin('categories', this.$route.params.id, 'setCategory');
        },

        data() {

            return {

            }
        },

        mixins: [
            breadcrumbsMixin,
            HandleEntityMixin,
            HandleCategoryMixin,
            GetEntityMixin,
            ValidationErrorsMixin
        ],

        methods: {

            /**
             * Edit category from store, and redirect to given action (index, edit).
             **/
            editCategory(action) {

                this.handleEntity('category', action, route('admin.categories.update', this.$route.params.id));
            }
        }
    }

</script>